Shared Gallery Image Versions - Get
按订阅 ID 或租户 ID 获取共享库映像版本。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}/versions/{galleryImageVersionName}?api-version=2024-03-03
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
gallery
|
path | True |
string |
要从中列出映像版本的共享库映像定义的名称。 |
|
gallery
|
path | True |
string |
要创建的库映像版本的名称。 需要遵循语义版本名称模式:允许的字符是数字和句点。 数字必须介于 32 位整数的范围内。 格式: <MajorVersion>。<MinorVersion>。<补丁> |
|
gallery
|
path | True |
string |
共享库的唯一名称。 |
|
location
|
path | True |
string minLength: 1 |
Azure 区域的名称。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get a shared gallery image version.
示例请求
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName/versions/myGalleryImageVersionName?api-version=2024-03-03
示例响应
{
"properties": {
"publishedDate": "2018-03-20T09:12:28Z",
"endOfLifeDate": "2022-03-20T09:12:28Z",
"excludeFromLatest": false,
"storageProfile": {
"osDiskImage": {
"diskSizeGB": 29,
"hostCaching": "None"
}
},
"artifactTags": {
"ShareTag-Official1PGallery": "Official1PGallery"
}
},
"location": "myLocation",
"name": "myGalleryImageVersionName",
"identifier": {
"uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName/Versions/myGalleryImageVersionName"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Api |
API 错误。 |
|
Api |
Api 错误库。 |
|
Cloud |
来自计算服务的错误响应。 |
|
Inner |
内部错误详细信息。 |
|
Shared |
这是数据磁盘映像。 |
|
Shared |
磁盘的主机缓存。 有效值为“None”、“ReadOnly”和“ReadWrite” |
|
Shared |
指定要创建或更新的库映像版本的信息。 |
|
Shared |
这是库映像版本的存储配置文件。 |
|
Shared |
这是 OS 磁盘映像。 |
ApiError
API 错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| details |
Api 错误详细信息 |
|
| innererror |
Api 内部错误 |
|
| message |
string |
错误消息。 |
| target |
string |
特定错误的目标。 |
ApiErrorBase
Api 错误库。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| message |
string |
错误消息。 |
| target |
string |
特定错误的目标。 |
CloudError
来自计算服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
API 错误。 |
InnerError
内部错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| errordetail |
string |
内部错误消息或异常转储。 |
| exceptiontype |
string |
异常类型。 |
SharedGalleryDataDiskImage
这是数据磁盘映像。
| 名称 | 类型 | 说明 |
|---|---|---|
| diskSizeGB |
integer (int32) |
此属性指示要创建的 VHD 的大小。 |
| hostCaching |
磁盘的主机缓存。 有效值为“None”、“ReadOnly”和“ReadWrite” |
|
| lun |
integer (int32) |
此属性指定数据磁盘的逻辑单元号。 此值用于标识虚拟机中的数据磁盘,因此对于附加到虚拟机的每个数据磁盘必须是唯一的。 |
SharedGalleryHostCaching
磁盘的主机缓存。 有效值为“None”、“ReadOnly”和“ReadWrite”
| 值 | 说明 |
|---|---|
| None | |
| ReadOnly | |
| ReadWrite |
SharedGalleryImageVersion
指定要创建或更新的库映像版本的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| identifier.uniqueId |
string |
此共享库的唯一 ID。 |
| location |
string |
资源位置 |
| name |
string |
资源名称 |
| properties.artifactTags |
object |
共享库资源的项目标记。 |
| properties.endOfLifeDate |
string (date-time) |
库映像版本定义的生命周期结束日期。 此属性可用于解除授权目的。 此属性可更新。 |
| properties.excludeFromLatest |
boolean |
如果设置为 true,则从最新版本的映像定义部署的虚拟机不会使用此映像版本。 |
| properties.publishedDate |
string (date-time) |
图库映像版本定义的发布日期。 此属性可用于解除授权目的。 此属性可更新。 |
| properties.storageProfile |
描述映像版本的存储配置文件。 |
SharedGalleryImageVersionStorageProfile
这是库映像版本的存储配置文件。
| 名称 | 类型 | 说明 |
|---|---|---|
| dataDiskImages |
数据磁盘映像的列表。 |
|
| osDiskImage |
这是 OS 磁盘映像。 |
SharedGalleryOSDiskImage
这是 OS 磁盘映像。
| 名称 | 类型 | 说明 |
|---|---|---|
| diskSizeGB |
integer (int32) |
此属性指示要创建的 VHD 的大小。 |
| hostCaching |
磁盘的主机缓存。 有效值为“None”、“ReadOnly”和“ReadWrite” |